
var app = angular.module('bookmein', ['ionic', 'bookmein.login', 'bookmein.book', 'bookmein.user', 'bookmein.settings', "ion-datetime-picker"])

app.controller('SettingsCtrl', ['$scope', '$http', function($scope,$http) {
      $http.get(window.localStorage['url'] + '/book/app/settings.php')
      .success(function (response) 
      {
       $scope.settings = response;
      });
    }]);

app.controller('AppCtrl', function($scope, $ionicModal, $timeout) {

  // With the new view caching in Ionic, Controllers are only called
  // when they are recreated or on app start, instead of every page change.
  // To listen for when this page is active (for example, to refresh data),
  // listen for the $ionicView.enter event:
  //$scope.$on('$ionicView.enter', function(e) {
  //});

})

app.config(function($stateProvider, $urlRouterProvider, $httpProvider, $ionicConfigProvider) {

    $ionicConfigProvider.views.maxCache(0);


  if(window.localStorage['url']) {
    $urlRouterProvider.otherwise('/app/book');
  }else{
    $urlRouterProvider.otherwise('/url');
  };

  $stateProvider.state('app', {
    url: '/app',
    abstract: true,
    cache: false,
    templateUrl: 'views/menu.html',
    controller: 'AppCtrl'
  });

  $stateProvider.state('login', {
    url: '/login',
    cache: false,
    templateUrl: 'views/login.html'
  });

  $stateProvider.state('app.book', {
    url: '/book',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/book.html',
          controller: 'EventsCtrl'
        }
      }
  });

  $stateProvider.state('app.booknumber', {
    url: '/booknumber',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/booknumber.html',
          controller: 'BookNumberCtrl'
        }
      }
  });

  $stateProvider.state('app.myevents', {
    url: '/myevents',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/myevents.html',
          controller: 'MyEventsCtrl'
        }
      }
  });

  $stateProvider.state('app.bookedevents', {
    url: '/bookedevents',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/bookedevents.html',
          controller: 'MyBookedCtrl'
        }
      }
  });

  $stateProvider.state('app.profile', {
    url: '/profile',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/profile.html',
          controller: 'ProfileCtrl'
        }
      }
  });

  $stateProvider.state('app.attendees', {
    url: '/attendees',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/attendees.html',
          controller: 'AttendeesCtrl'
        }
      }
  });

  $stateProvider.state('app.messages', {
    url: '/messages',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/messages.html',
          controller: 'MessagesCtrl'
        }
      }
  });

  $stateProvider.state('app.messageuser', {
    url: '/messageuser',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/messageuser.html',
          controller: 'MessageUserCtrl'
        }
      }
  });

  $stateProvider.state('app.accounts', {
    url: '/accounts',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/accounts.html',
          controller: 'AccountsCtrl'
        }
      }
  });

  $stateProvider.state('app.settings', {
    url: '/settings',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/settings.html',
          controller: 'SettingsCtrl'
        }
      }
  });

  $stateProvider.state('app.create', {
    url: '/create',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/createevent.html',
          controller: 'CreateCtrl'
        }
      }
  });

  $stateProvider.state('app.password', {
    url: '/password',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/password.html',
          controller: 'PasswordCtrl'
        }
      }
  });

$stateProvider.state('app.info', {
    url: '/info',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/info.html',
          controller: 'InfoCtrl'
        }
      }
  });

$stateProvider.state('app.eventstart', {
    url: '/eventstart',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/eventstart.html',
          controller: 'EventStartCtrl'
        }
      }
  });

$stateProvider.state('app.eventstop', {
    url: '/eventstop',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/eventstop.html',
          controller: 'EventStopCtrl'
        }
      }
  });

$stateProvider.state('app.eventsubmit', {
    url: '/eventsubmit',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/eventsubmit.html',
          controller: 'EventSubmitCtrl'
        }
      }
  });

$stateProvider.state('app.createmessage', {
    url: '/createmessage',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/createmessage.html',
          controller: 'CreateMessageCtrl'
        }
      }
  });

$stateProvider.state('app.replymessage', {
    url: '/replymessage',
    cache: false,
    views: {
        'menuContent': {
          templateUrl: 'views/replymessage.html',
          controller: 'ReplyMessageCtrl'
        }
      }
  });

  $stateProvider.state('url', {
    url: '/url',
    cache: false,
    templateUrl: 'views/url.html'
  });

});




app.run(function($rootScope, $state, $ionicPlatform, User) {
  $ionicPlatform.ready(function() {
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if(window.StatusBar) {
      StatusBar.style(1);
    }
  });
})

