var app = angular.module('bookmein.login', ['ionic', 'bookmein.user'])

app.controller('UrlCtrl', function($scope, $http, $state, $ionicHistory, User) {
  $scope.submit = function() {
    $apiUrl = $scope.data.url;
    $http({
      method: 'GET',
      url: $apiUrl + '/book/app/verify.php'
    }).then(function successCallback(response) {
      User.urlSave($apiUrl);
      $ionicHistory.nextViewOptions({historyRoot: true});
      $state.go('login');
    }, function errorCallback(response) {
      $scope.response = 'Server Not Found. Please check URL.'
    });
  };
}); 


app.controller('LoginCtrl', function($scope, $http, $state, $ionicHistory, User) {
    $scope.data = {};
    $scope.submit = function(){
      var link = $apiUrl + '/book/app/api.php'
      $http.post(link, {username : $scope.data.username, password : $scope.data.password}).then(function (res){
        if(res.data==true){
          User.login($scope.data.username, $scope.data.password);
          $ionicHistory.nextViewOptions({historyRoot: true});
          $state.go('app.book');
        } else {
          $scope.response = res.data;
        };
      });
    };
});


app.controller('UserCtrl', function($scope, $http) {
  var link = window.localStorage['url'] + "/book/app/user.php"
  $http.post(link, {username : window.localStorage['username']})
    .success(function (data) {
      $scope.userdetails = data;
    });
});


app.controller('LogoutCtrl', function($scope, $state, $ionicHistory){
  $scope.submit = function(){
    window.localStorage.removeItem('username');
    window.localStorage.removeItem('password');
    window.localStorage.removeItem('url');
    $ionicHistory.nextViewOptions({historyRoot: true});
    $ionicHistory.clearCache();
    $ionicHistory.clearHistory();
    $state.go('url');
  };
});

