<?php
/** Login Validation **/
function validate_user_login(){
    $errors = [];
    $usermin = 3;
    $usermax = 12;  
    if(isset($_POST['login_submit'])){
        $username = clean($_POST['username']); 
        $password = clean($_POST['password']);
        $remember = isset($_POST['remember']);
        
        /** Validate username length **/
        if(strlen($username) < $usermin){
            $errors[] = "Your username must be more than {$usermin} characters.";
        }
        if(strlen($username) > $usermax){
            $errors[] = "Your username must be less than {$usermax} chatacters.";
        }
    
        /** Check if user is active **/
        $sql = "SELECT active FROM users where username = '$username'";
        $result = query($sql);
        $row = fetch_array($result);
        if(row_count($result) == 1 && $row['active'] == "0"){
            $errors[] = "User has not been activated. Check your inbox or spam folder.";
        }
        
        /** Print Errors **/
        if(!empty($errors)){
            foreach($errors as $error){
                validation_errors($error);
            }
        } else {    
    
        /** Query Login **/
        if(login_user($username, $password, $remember)){
                redirect("book.php");
                
        } else {
            echo validation_errors("Incorrect username or password. Please try again.");
        }
        }     
    }
}

/** Login User Function **/
function login_user($username, $password, $remember){
    $sql = "SELECT password, id FROM users WHERE username = '".escape($username)."' AND active = 1";
    $result = query($sql);
    if(row_count($result) == 1){
        $row = fetch_array($result);
        $db_password = $row['password'];  
        if(password_verify($password, $db_password)){
            
            /** Set Cookie for 24 hours if remember me selected **/
            if($remember == "on"){
                setcookie('username', $username, time() + 86400);
            }
            
            /** Set session **/
            $_SESSION['username'] = $username;            
            return true;
            } else {
                return false;
            }      
    } else {
        return false;
    } 
}

/** Check If Logged In Function **/
function logged_in(){    
    if(isset($_SESSION['username']) || isset($_COOKIE['username'])){
        return true;
    } else {
        return false;
    }    
}

/** Recover Password Function **/
function recover_password(){
    if(isset($_POST['forgotten_submit'])){
        if(isset($_SESSION['token']) && $_POST['token'] === $_SESSION['token']){
            $email = clean($_POST['email_forgot']);
            
            /** Check If User Is Active **/
            $sql = "SELECT active FROM users WHERE email = '$email'";
            $result = query($sql);
            $row = fetch_array($result);
            if(row_count($result) == 1 && $row['active'] == "0"){
                $errors[] = "User has not been activated. Check your inbox or spam folder.";
                }
        
            /** Check For And Print Errors **/
            if(!empty($errors)){
                foreach($errors as $error){
                validation_errors($error);
                }
            } else { 
            if(email_exists($email)){
                $validation_code = md5($email + microtime());
                
                /** Set Temporary Expiration Of Code **/
                setcookie('temp_access_code', $validation_code, time()+900);
                
                $sql = "UPDATE users SET validation_code = '".escape($validation_code)."' WHERE email = '".escape($email)."'";
                $result = query($sql);
                confirm($result);
                
                /** Set Email Parameters **/
                $subject = "Reset your password";
                $message = "Click the link to reset your password ";
                $message .= call_settings('url'); 
                $message .= "recover.php?email=$email&code=$validation_code";
                $headers = "From: ";
                $headers .= call_settings('admin_email');
                send_email($email, $subject, $message, $headers);
                set_message("<p>Check your inbox or spam folder for your reset link.</p>");
                redirect("confirmation.php");
                
            } else {
                echo validation_errors("This email address is not registered.");
            }
        }
                
        } else {
            redirect("index.php");
        }
    }
}


/** Validate Recover Form **/
function validate_recover(){
    if(isset($_COOKIE['temp_access_code'])){
        if(!isset($_GET['email']) && !isset($_GET['code'])){
            set_message("Incorrect activation code, please try again.");
            redirect("confirmation.php");
        } else {
        /** Check codes match **/
        if($_COOKIE['temp_access_code'] == $_GET['code']){
            if(isset($_POST['recover'])){
            
            /** Check Password Matches **/
                if($_POST['password'] == $_POST['password_confirm']){
                    $validation_code = clean($_GET['code']);
                    $email = clean($_GET['email']);
                    $password = clean($_POST['password']);
                    $password = password_hash($password, PASSWORD_DEFAULT);
                        
                /** Update Password Query **/
                    $sql = "UPDATE users SET password = '".escape($password)."' WHERE validation_code = '".escape($validation_code)."' AND email = '".escape($email)."'";
                    query($sql);
                    $sql = "UPDATE users SET validation_code ='0' WHERE email = '".escape($email)."'";
                    query($sql);
                    set_message("Password changed. You may now login.");
                    redirect("confirmation.php");
                } else {
                    echo validation_errors("Passwords do not match");
                } 
        
            }
        }else{
            set_message("Incorrect activation code, please try again.");
            redirect("confirmation.php");
        }
    }    
    } else {
        set_message("Activation code expired, please try again.");
        redirect("confirmation.php");
    }   
}
?>