<?php include("functions/init.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>BookMeIn - A simple to use online booking system.</title>
    <meta name="viewport" content="initial-scale=1, maximum-scale=1" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
    
    <link href="http://fonts.googleapis.com/css?family=Roboto:Roboto:400,500|Montserrat" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="css/login_style.css">
    
    <style>
        body {
        background: #2b2b2b;
        color: #989898;
        }
        h1, h2 {
            color: #fff;
        }
        input[type="submit"] {
        background: #acc7dc;
        }
        input[type="submit"]:hover {
        background: #d6dde3;
        }
    </style>
</head>
<body>
    <section id="wrapper2" class="clearfix">
        <section id="midsection" class="clearfix">
            <h1 class="header">BookMeIn</h1>
            <p class="info">A simple to use online booking system.</p>
            
<?php
            if(isset($_POST['install_submit'])){
    install();
        }
?>

<h1 class="subheader">Install</h1><br>
<form method="post">
    <input type="text" name="title" placeholder="Enter Website Title.." required><br>
    <input type="text" name="subheader" placeholder="Enter Website Bio.." required><br>
    <input type="text" name="url" placeholder="Enter Booking URL.. Eg: http://myurl.com/book/" required><br>
    <input type="text" name="admin_email" placeholder="Enter System Email.. Eg: noreply@myurl.com" required><br><br>
     <select name="timezone" id="timezone">
      <option value="-12:00">(GMT -12:00) Eniwetok, Kwajalein</option>
      <option value="-11:00">(GMT -11:00) Midway Island, Samoa</option>
      <option value="-10:00">(GMT -10:00) Hawaii</option>
      <option value="-9:00">(GMT -9:00) Alaska</option>
      <option value="-8:00">(GMT -8:00) Pacific Time (US &amp; Canada)</option>
      <option value="-7:00">(GMT -7:00) Mountain Time (US &amp; Canada)</option>
      <option value="-6:00">(GMT -6:00) Central Time (US &amp; Canada), Mexico City</option>
      <option value="-5:00">(GMT -5:00) Eastern Time (US &amp; Canada), Bogota, Lima</option>
      <option value="-4:00">(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz</option>
      <option value="-3:30">(GMT -3:30) Newfoundland</option>
      <option value="-3:00">(GMT -3:00) Brazil, Buenos Aires, Georgetown</option>
      <option value="-2:00">(GMT -2:00) Mid-Atlantic</option>
      <option value="-1:00">(GMT -1:00 hour) Azores, Cape Verde Islands</option>
      <option selected="selected" value="0:00">(GMT) Western Europe Time, London, Lisbon, Casablanca</option>
      <option value="+1:00">(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris</option>
      <option value="+2:00">(GMT +2:00) Kaliningrad, South Africa</option>
      <option value="+3:00">(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg</option>
      <option value="+3:30">(GMT +3:30) Tehran</option>
      <option value="+4:00">(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi</option>
      <option value="+4:30">(GMT +4:30) Kabul</option>
      <option value="+5:00">(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent</option>
      <option value="+5:30">(GMT +5:30) Bombay, Calcutta, Madras, New Delhi</option>
      <option value="+5:45">(GMT +5:45) Kathmandu</option>
      <option value="+6:00">(GMT +6:00) Almaty, Dhaka, Colombo</option>
      <option value="+7:00">(GMT +7:00) Bangkok, Hanoi, Jakarta</option>
      <option value="+8:00">(GMT +8:00) Beijing, Perth, Singapore, Hong Kong</option>
      <option value="+9:00">(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk</option>
      <option value="+9:30">(GMT +9:30) Adelaide, Darwin</option>
      <option value="+10:00">(GMT +10:00) Eastern Australia, Guam, Vladivostok</option>
      <option value="+11:00">(GMT +11:00) Magadan, Solomon Islands, New Caledonia</option>
      <option value="+12:00">(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka</option>
</select><br><br>
    <input type="text" name="super_username" placeholder="Enter Super User Username.." required><br>
    <input type="password" name="super_password" placeholder="Enter Super User Password.." required><br>
    <input type="password" name="super_password_confirm" placeholder="Confirm Super User Password.." required><br>
    <input type="text" name="super_first_name" placeholder="Enter Super User First Name.." required><br>
    <input type="text" name="super_last_name" placeholder="Enter Super User Last Name.." required><br>
    <input type="text" name="super_email" placeholder="Enter Super User Email.." required><br>
    <input type="text" name="super_phone_number" placeholder="Enter Super User Phone Number.." required><br>
 
    <input type="submit" name="install_submit" value="Install">
</form>

<?php 
            
function install(){
    
    $title = clean($_POST['title']);
    $subheader = clean($_POST['subheader']);
    $url = clean($_POST['url']);
    $admin_email = clean($_POST['admin_email']);
    $timezone = clean($_POST['timezone']);
    
    $super_username =  clean($_POST['super_username']);
    $super_password =  $_POST['super_password'];
    $super_password_confirm =  $_POST['super_password_confirm'];
    $super_first_name =  clean($_POST['super_first_name']);
    $super_last_name =  clean($_POST['super_last_name']);
    $super_email =  clean($_POST['super_email']);
    $super_phone_number =  clean($_POST['super_phone_number']);
    
    $errors = [];
    $usermin = 3;
    $usermax = 12;
    
    if(strlen($super_username) < $usermin){
        $errors[] = "Your username must be more than {$usermin} characters.";
    }
    if(strlen($super_username) > $usermax){
        $errors[] = "Your username must be less than {$usermax} chatacters.";
    }
    
    if($password !== $confirm_password){
        $errors[] = "Your passwords do not match.";
    }
    
    if(!empty($errors)){
        foreach($errors as $error){
            validation_errors($error);
            }
        } else {
        
    $super_password = password_hash($super_password, PASSWORD_DEFAULT);
    
    $sql = "SET SQL_MODE = 'NO_AUTO_VALUE_ON_ZERO'";
    query($sql);
    $sql = "SET time_zone = '+00:00'";
    query($sql);
    
    $sql = "CREATE TABLE `bookings` (
  `booking_id` int(11) NOT NULL,
  `event_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `given_number` longblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1";
    query($sql);
    
    $sql = "CREATE TABLE `events` (
  `id` int(11) NOT NULL,
  `event_name` varchar(255) NOT NULL,
  `event_start` datetime NOT NULL,
  `event_stop` datetime NOT NULL,
  `event_description` varchar(255) NOT NULL,
  `max_attendees` int(11) NOT NULL,
  `people_booked` int(11) NOT NULL DEFAULT '0',
  `creator_id` int(11) NOT NULL,
  `event_type` int(1) NOT NULL,
  `event_array` longblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1";
    query($sql);
    
    $sql = "CREATE TABLE `messages` (
  `message_id` int(11) NOT NULL,
  `to_user` varchar(255) NOT NULL,
  `from_user` varchar(255) NOT NULL,
  `date` datetime NOT NULL,
  `message` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1";
    query($sql);
    
    $sql = "CREATE TABLE `settings` (
  `id` int(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `subheader` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `admin_email` varchar(255) NOT NULL,
  `bg_colour` varchar(255) NOT NULL DEFAULT '#2b2b2b',
  `title_colour` varchar(255) NOT NULL DEFAULT '#fff',
  `text_colour` varchar(255) NOT NULL DEFAULT '#989898',
  `submit_colour` varchar(255) NOT NULL DEFAULT '#acc7dc',
  `hover_colour` varchar(255) NOT NULL DEFAULT '#d6dde3',
  `timezone` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1";
    query($sql);
    
    $sql = "INSERT INTO `settings` (`id`, `title`, `subheader`, `url`, `admin_email`, `bg_colour`, `title_colour`, `text_colour`, `submit_colour`, `hover_colour`, `timezone`) VALUES
(1, '$title', '$subheader', '$url', '$admin_email', '#2b2b2b', '#fff', '#989898', '#acc7dc', '#d6dde3', '$timezone')";
    query($sql);
    
    $sql = "CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `phone_number` varchar(11) NOT NULL,
  `username` varchar(32) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` text NOT NULL,
  `validation_code` text NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(1) NOT NULL DEFAULT '0',
  `messages` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1";
    query($sql);
    
    $sql = "INSERT INTO `users` (`id`, `first_name`, `last_name`, `phone_number`, `username`, `email`, `password`, `validation_code`, `active`, `access`, `messages`) VALUES
(34, '$super_first_name', '$super_last_name', '$super_phone_number', '$super_username', '$super_email', '$super_password', '', 1, 2, 0)";
    query($sql);
    
    $sql = "ALTER TABLE `bookings`
  ADD PRIMARY KEY (`booking_id`)";
        query($sql);
        
    $sql = "ALTER TABLE `events`
  ADD PRIMARY KEY (`id`)";
        query($sql);
        
    $sql = "ALTER TABLE `messages`
  ADD PRIMARY KEY (`message_id`)";
        
    $sql = "ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`)";
        query($sql);
        
    $sql = "ALTER TABLE `users`
  ADD PRIMARY KEY (`id`)";
        query($sql);
        
    $sql = "ALTER TABLE `bookings`
  MODIFY `booking_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1";
        query($sql);
        
    $sql = "ALTER TABLE `events`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1";
        query($sql);
        
    $sql = "ALTER TABLE `messages`
  MODIFY `message_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1";
        query($sql);
        
    $sql = "ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2";
        query($sql);
        
    echo "Install complete! Please DELETE THE INSTALL.PHP FILE!!!!";
    }
}                 
?>
        </section>
    </section
</body>
</html>